import { IMaterialItem, IWebRuntimeAppData, IExtraData, II18nConfig } from '../../weapps-core';
import { BuildType, IFileCodeMap } from '../types/common';
import { DEPLOY_MODE, RUNTIME } from '../../types';
import { IPlatformApp } from '@cloudbase/cals';
export { serialize, deserialize } from '../../weapps-core';
export declare type BuildAppProps = {
    dependencies: IMaterialItem[];
    appKey: string;
    mainAppData: IWebRuntimeAppData;
    cals: IPlatformApp;
    subAppDataList?: IWebRuntimeAppData[];
    publicPath?: string;
    i18nConfig?: II18nConfig;
    extraData?: IExtraData;
    basename?: string;
    appBuildDir?: string;
    jsAssets?: string[];
    isSandbox?: boolean;
    buildTypeList: BuildType[];
    ignoreInstall?: boolean;
    deployMode?: DEPLOY_MODE;
    runtime?: RUNTIME;
};
export declare function generateCode(props: BuildAppProps): Promise<IFileCodeMap>;
export declare function generateCompLibs(compLibs: any): Promise<Record<string, {
    code: string;
}>>;
